// ****************************************************************************
// copyright (c) 2000-2005 Horst Knorr <hk_classes@knoda.org>
// This file is part of the hk_kdeclasses library.
// This file may be distributed and/or modified under the terms of the
// GNU Library Public License version 2 as published by the Free Software
// Foundation and appearing in the file LGPL included in the
// packaging of this file.
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
// ****************************************************************************

#ifndef HK_KDESUBFORM_H
#define HK_KDESUBFORM_H
#include <hk_subform.h>
#include <qscrollview.h>
class hk_kdesimpleform;

class hk_kdesubform: public QScrollView,public hk_subform
{
Q_OBJECT
public:
hk_kdesubform(hk_kdesimpleform*);
virtual ~hk_kdesubform();
virtual void show_widget(void);
virtual void hide_widget(void);
virtual void close_widget(void);

protected:
bool widget_specific_coordinates(uint px,uint py,uint pwidth,uint pheight);
	virtual void widget_specific_enabled_changed(void);
void resizeEvent ( QResizeEvent * event );
void moveEvent ( QMoveEvent * event);
virtual bool	presentationmode_changed(void);

private:
void reposition(void);
};

#endif //HK_KDESUBFORM_H
